%define oldname youtube-viewer

Summary:	A youtube viewer
Group:		Video
Name:		gtk-youtube-viewer
Version:	3.5.4
Release:	%mkrel 2
Url:		https://github.com/trizen/youtube-viewer
Source0:	https://github.com/trizen/youtube-viewer/archive/%{oldname}-%{version}.tar.xz
Patch0:		youtube-viewer-desktop.patch
License:	GPLv3
BuildRequires:	perl-Module-Build
BuildRequires:	perl-LWP-Protocol-https
BuildRequires:	perl-Text-CharWidth
BuildRequires:	perl-HTML-Parser
BuildRequires:  perl-LWP-UserAgent-Cached
BuildRequires:  perl-Term-ReadLine-Gnu
BuildRequires:  perl-Unicode-LineBreak
# install for tests
#BuildRequires:	perl-Test-Pod-Coverage
#BuildRequires:	perl-Test-Pod
Requires:	perl >= 5.18
Requires:	perl-Gtk2
Requires:	perl-JSON
Requires:	perl-JSON-XS
Requires:	perl-File-ShareDir
Requires:	perl-XML-Fast
Requires:	perl-Exporter
Requires:	perl-Data-Dump
Requires:	perl-libwww-perl
Requires:	perl-Term-ANSIColor
Requires:	perl-Term-UI
Requires:	perl-URI
Requires:	perl-Mozilla-CA
Requires:	perl-HTML-Parser
Requires:	perl-LWP-Protocol-https
Requires:	perl-LWP-UserAgent-Cached
Requires:	perl-Term-ReadLine-Gnu
Requires:	perl-Text-CharWidth
Requires:	perl-Unicode-LineBreak
Requires:	perl-Net-SSLeay
Requires:	perl-Types-Serialiser
Requires:	perl-Class-Inspector
Requires:	perl-HTTP-Message
Requires:	perl-HTTP-Date
Requires:	perl-Encode-Locale
Requires:	perl-Try-Tiny
Requires:	mplayer >= 1.3.0
Requires:	mpv >= 0.20
Requires:	youtube-dl
BuildArch:	noarch
# we don't want any provides
AutoReqProv:	No

%description
Youtube Viewer is both a CLI and GUI application which can interact with Youtube.
It is written in Perl and its scope is to search and play Youtube-videos at the
best quality available without using a flash player.

%prep
%setup -qn %{oldname}-%{version}
%patch0 -p1

%build
perl Build.PL --installdirs vendor --gtk-youtube-viewer
./Build
perl Makefile.PL --installdirs vendor
make

%install
./Build install --destdir %{buildroot} \
	--install_path script=%{_bindir} \
	--install_path bindoc=%{_mandir}/man1 \
	--install_path libdoc=%{_mandir}/man3

install -Dpm 0644 share/%{name}.desktop %{buildroot}%{_datadir}/applications/%{name}.desktop
install -Dpm 0644 share/icons/%{name}.png %{buildroot}%{_datadir}/pixmaps/%{name}.png

find $RPM_BUILD_ROOT -type f -name ".packlist" -exec rm -f {} \;

# remove empty folder
rm -rf %{buildroot}%{perl_vendorlib}/x86_64-linux-thread-multi

%files
%doc Changes README.md LICENSE
%{_bindir}/*youtube-viewer
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_mandir}/man1/youtube-viewer.1.*
%{_mandir}/man3/*YoutubeViewer*
%{perl_vendorlib}/*/*/*/WWW-YoutubeViewer
%{perl_vendorlib}/WWW/YoutubeViewer*


%changelog
* Tue Nov 12 2019 tex - 3.5.4-2pclos2019
- rebuild against updates

* Sat Apr 06 2019 tex - 3.5.4-1pclos2019
- new version

* Sat Dec 30 2017 Zen Subz <techars21 at gmail dot com> - 3.3.2-1pclos2017
- Update to latest release

* Fri Dec 22 2017 Zen Subz <techars21 at gmail dot com> - 3.3.1-1pclos2017
- Latest release with fix for deep-recursion problem
- Build for PCLinuxOS
